package mako5.ctrl;


import org.lwjgl.opengl.GL11;
import org.lwjgl.opengl.glu.GLU;

/**
 * Used on screen operations to control drawing matrix transformation.
 * 
 * @author Paul Jarrett
 * @version 04-Mar 2006
 */

public class Screen {

	/**
	 * Puts the program into 2d mode with the desired pixel size.
	 * 
	 * @param iWidth_
	 *            the desired pixel screen width
	 * @param iHeight_
	 *            the desired pixel screen height
	 * @since 03-Mar 2006
	 */
	public static void setup2D(int iWidth_, int iHeight_) {
		GL11.glMatrixMode(GL11.GL_PROJECTION);
		GL11.glLoadIdentity();
		GLU.gluOrtho2D(0.0f, iWidth_, 0.0f, iHeight_);
		GL11.glMatrixMode(GL11.GL_MODELVIEW);
		GL11.glLoadIdentity();

		// GL11.glEnable(GL11.GL_BLEND);
		// GL11.glEnable(GL11.GL_TEXTURE_2D);
	}
}