package mako5.gfx;


/**
 * Indicates that the object can be rendered to screen. Gives the ability to
 * group objects that have this property in given rendering objects (cameras,
 * GUIS, etc.).
 * 
 * @author Paul Jarrett
 * @version 03-Mar 2006
 */

public interface Render {

	/**
	 * Renders the object using openGL.
	 * 
	 * @since 03-Mar 2006
	 */
	public abstract void render();
}