package mako5.evnt;


/**
 * Indicates an object that has defined updates based upon elapsed time.
 * 
 * @author Paul Jarrett
 * @version 04-Mar 2006
 */

public interface RealTime {

	/**
	 * Performs an update on the object for the given elapsed time.
	 * 
	 * @param fElapsed_
	 *            the elapsed time
	 * @since 04-Mar 2006
	 */
	public abstract void update(float fElapsed_);
}